#include<bits/stdc++.h>
using namespace std;
void sortiraj(int a[], int n)
{
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        if(a[i]<a[j]) swap(a[i],a[j]);
    }
}
int main()
{
    int n;
    cin>>n;
    int a[n],b[n];
    for(int i=0;i<n;i++)
        {
            cin>>a[i];
            b[i]=a[i];
        }
    sortiraj(a,n);
    for(int i=0;i<n;i++)
    {
        if(a[i]!=b[i])
        {
            for(int j=i+1;j<n;j++)
                if(b[j]==a[i]) {
                swap(b[j],b[i]);
                for(int k=0;k<n;k++)
                    cout<<b[k]<<" ";
                return 0;
                }
        }
    }
    swap(b[n-2],b[n-1]);
    for(int i=0;i<n;i++) cout<<b[i]<<" ";

}